Package org.apache.tools.ant

## Interface PropertyHelper.PropertyEnumerator

- All Superinterfaces:
    `PropertyHelper.Delegate`
  All Known Implementing Classes:
    `LocalProperties`
  Enclosing class:
    PropertyHelper

      public static interface PropertyHelper.PropertyEnumerator
      extends PropertyHelper.Delegate

  Obtains the names of all known properties.
  Since:
    1.10.9

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<java.lang.String>` | `getPropertyNames()` | Returns the names of all properties known to this delegate.

- - ### Method Detail

    - #### getPropertyNames

          java.util.Set<java.lang.String> getPropertyNames()

      Returns the names of all properties known to this delegate.
      Returns:
        the names of all properties known to this delegate.